import request from '@/utils/request'
import store from '@/store'
import qs from 'qs'

export function fetchOrderList(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/order/list',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function deliveryOrder(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  data['delivery_id'] = 'SF'
  data['biz_id'] = '0103586950'
  return request({
    url: '/admin/live/order/delivery',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function fetchRoomList(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/room/list',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function refreshWxRoomList(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/wx/room/list',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function fetchGoodsList(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/goods/list',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function createGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/goods/create',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function updateGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/goods/update',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function auditGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/goods/audit',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function deleteGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/live/goods/delete',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function fetchRoomGoodsList(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/room/goods/list',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function addRoomGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/room/goods/add',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function publishRoomGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/room/goods/publish',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function offRoomGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/room/goods/off',
    method: 'post',
    data: qs.stringify(data)
  })
}

export function updateRoomGoods(data) {
  if (data === undefined) {
    data = {}
  }
  data['admin_id'] = store.getters.token
  return request({
    url: '/admin/room/goods/update',
    method: 'post',
    data: qs.stringify(data)
  })
}
